//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Socialclub {
/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x03A93FF1A2CA0864<br />
/// </para>
/// </remarks>
public static int ScInboxGetTotalNumMessages(){
return Function.Call<int>((Hash)0x03A93FF1A2CA0864uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBB8EA16ECBC976C4<br />
/// </para>
/// </remarks>
public static uint ScInboxGetMessageTypeAtIndex(int msgIndex){
return Function.Call<uint>((Hash)0xBB8EA16ECBC976C4uL, msgIndex);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x93028F1DB42BFD08<br />
/// </para>
/// </remarks>
public static bool ScInboxGetMessageIsReadAtIndex(int msgIndex){
return Function.Call<bool>((Hash)0x93028F1DB42BFD08uL, msgIndex);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2C015348CF19CA1D<br />
/// </para>
/// </remarks>
public static bool ScInboxSetMessageAsReadAtIndex(int msgIndex){
return Function.Call<bool>((Hash)0x2C015348CF19CA1DuL, msgIndex);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA00EFE4082C4056E<br />
/// </para>
/// </remarks>
public static bool ScInboxMessageGetDataInt(int p0, string context, ref int @out){
var nativeAssistPointerVar0 = @out;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0xA00EFE4082C4056EuL, p0, context, &nativeAssistPointerVar0);
}
@out = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFFE5C16F402D851D<br />
/// </para>
/// </remarks>
public static bool ScInboxMessageGetDataBool(int p0, string p1){
return Function.Call<bool>((Hash)0xFFE5C16F402D851DuL, p0, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x7572EF42FC6A9B6D<br />
/// </para>
/// </remarks>
public static bool ScInboxMessageGetDataString(int p0, string context, string @out){
return Function.Call<bool>((Hash)0x7572EF42FC6A9B6DuL, p0, context, @out);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x9A2C8064B6C1E41A<br />
/// </para>
/// </remarks>
public static bool ScInboxMessageDoApply(int p0){
return Function.Call<bool>((Hash)0x9A2C8064B6C1E41AuL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF3E31D16CBDCB304<br />
/// </para>
/// </remarks>
public static string ScInboxMessageGetRawTypeAtIndex(int p0){
return Function.Call<string>((Hash)0xF3E31D16CBDCB304uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xDA024BDBD600F44A<br />
/// </para>
/// </remarks>
public static void ScInboxMessagePushGamerT0RecipList(int /* bug: structure */ gamerHandle){
Function.Call((Hash)0xDA024BDBD600F44AuL, gamerHandle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA68D3D229F4F3B06<br />
/// </para>
/// </remarks>
public static void ScInboxSendUgcstatupdateToRecipList(int /* bug: structure */ data){
Function.Call((Hash)0xA68D3D229F4F3B06uL, data);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x69D82604A1A5A254<br />
/// </para>
/// </remarks>
public static bool ScInboxMessageGetUgcdata(int p0, int /* bug: structure */ p1){
return Function.Call<bool>((Hash)0x69D82604A1A5A254uL, p0, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6AFD2CD753FEEF83<br />
/// </para>
/// </remarks>
public static bool ScInboxSendBountyToRecipList(int /* bug: structure */ data){
return Function.Call<bool>((Hash)0x6AFD2CD753FEEF83uL, data);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x87E0052F08BD64E6<br />
/// </para>
/// </remarks>
public static bool ScInboxGetBountyDataAtIndex(int index, int /* bug: structure */ outData){
return Function.Call<bool>((Hash)0x87E0052F08BD64E6uL, index, outData);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x040ADDCBAFA1018A<br />
/// </para>
/// </remarks>
public static void ScEmailRetrieveEmails(int offset, int limit){
Function.Call((Hash)0x040ADDCBAFA1018AuL, offset, limit);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x16DA8172459434AA<br />
/// </para>
/// </remarks>
public static int ScEmailGetRetrievalStatus(){
return Function.Call<int>((Hash)0x16DA8172459434AAuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 505<br />
/// <b>Native ID:</b> 0x7DB18CA8CAD5B098<br />
/// </para>
/// </remarks>
public static int ScEmailGetNumRetrievedEmails(){
return Function.Call<int>((Hash)0x7DB18CA8CAD5B098uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4737980E8A283806<br />
/// </para>
/// </remarks>
public static bool ScEmailGetEmailAtIndex(int p0, int /* bug: structure */ p1){
return Function.Call<bool>((Hash)0x4737980E8A283806uL, p0, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x44ACA259D67651DB<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void ScEmailDeleteEmails(int /* bug: structure */ p0, int /* bug: Any */ p1){
Function.Call((Hash)0x44ACA259D67651DBuL, p0, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2330C12A7A605D16<br />
/// </para>
/// </remarks>
public static void ScEmailMessagePushGamerToRecipList(int /* bug: structure */ gamerHandle){
Function.Call((Hash)0x2330C12A7A605D16uL, gamerHandle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x55DF6DB45179236E<br />
/// </para>
/// </remarks>
public static void ScEmailMessageClearRecipList(){
Function.Call((Hash)0x55DF6DB45179236EuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x116FB94DC4B79F17<br />
/// </para>
/// </remarks>
public static void ScEmailSendEmail(string p0){
Function.Call((Hash)0x116FB94DC4B79F17uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 505<br />
/// <b>Native ID:</b> 0x07DBD622D9533857<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool ScEmailSetCurrentEmailTag(int /* bug: Any */ p0){
return Function.Call<bool>((Hash)0x07DBD622D9533857uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBFA0A56A817C6C7D<br />
/// </para>
/// </remarks>
public static void ScCacheNewRockstarMsgs(bool toggle){
Function.Call((Hash)0xBFA0A56A817C6C7DuL, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBC1CC91205EC8D6E<br />
/// </para>
/// </remarks>
public static bool ScHasNewRockstarMsg(){
return Function.Call<bool>((Hash)0xBC1CC91205EC8D6EuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xDF649C4E9AFDD788<br />
/// </para>
/// </remarks>
public static string ScGetNewRockstarMsg(){
return Function.Call<string>((Hash)0xDF649C4E9AFDD788uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1F1E9682483697C7<br />
/// </para>
/// </remarks>
public static bool ScPresenceAttrSetInt(uint attrHash, int value){
return Function.Call<bool>((Hash)0x1F1E9682483697C7uL, attrHash, value);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC4C4575F62534A24<br />
/// </para>
/// </remarks>
public static bool ScPresenceAttrSetFloat(uint attrHash, float value){
return Function.Call<bool>((Hash)0xC4C4575F62534A24uL, attrHash, value);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x287F1F75D2803595<br />
/// </para>
/// </remarks>
public static bool ScPresenceAttrSetString(uint attrHash, string value){
return Function.Call<bool>((Hash)0x287F1F75D2803595uL, attrHash, value);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x487912FD248EFDDF<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool ScPresenceSetActivityRating(int /* bug: Any */ p0, float p1){
return Function.Call<bool>((Hash)0x487912FD248EFDDFuL, p0, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC85A7127E7AD02AA<br />
/// </para>
/// </remarks>
public static bool ScGamerdataGetInt(string name, ref int value){
var nativeAssistPointerVar0 = value;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0xC85A7127E7AD02AAuL, name, &nativeAssistPointerVar0);
}
value = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA770C8EEC6FB2AC5<br />
/// </para>
/// </remarks>
public static bool ScGamerdataGetFloat(string name, ref float value){
var nativeAssistPointerVar0 = value;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0xA770C8EEC6FB2AC5uL, name, &nativeAssistPointerVar0);
}
value = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8416FE4E4629D7D7<br />
/// </para>
/// </remarks>
public static bool ScGamerdataGetBool(string name){
return Function.Call<bool>((Hash)0x8416FE4E4629D7D7uL, name);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x7FFCBFEE44ECFABF<br />
/// </para>
/// </remarks>
public static bool ScGamerdataGetString(string name, string value){
return Function.Call<bool>((Hash)0x7FFCBFEE44ECFABFuL, name, value);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2D874D4AE612A65F<br />
/// </para>
/// </remarks>
public static bool ScGamerdataGetActiveXpBonus(ref float value){
var nativeAssistPointerVar0 = value;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x2D874D4AE612A65FuL, &nativeAssistPointerVar0);
}
value = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// Starts a task to check an entered string for profanity on the ROS/Social Club services.<br /><br />See also: 1753344C770358AE, 82E4A58BABC15AE7.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x75632C5ECD7ED843<br />
/// </para>
/// </remarks>
public static bool ScProfanityCheckString(string @string, ref int token){
var nativeAssistPointerVar0 = token;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x75632C5ECD7ED843uL, @string, &nativeAssistPointerVar0);
}
token = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 678<br />
/// <b>Native ID:</b> 0xEB2BF817463DFA28<br />
/// </para>
/// </remarks>
public static bool ScProfanityCheckStringUgc(string @string, ref int token){
var nativeAssistPointerVar0 = token;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0xEB2BF817463DFA28uL, @string, &nativeAssistPointerVar0);
}
token = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1753344C770358AE<br />
/// </para>
/// </remarks>
public static bool ScProfanityGetCheckIsValid(int token){
return Function.Call<bool>((Hash)0x1753344C770358AEuL, token);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x82E4A58BABC15AE7<br />
/// </para>
/// </remarks>
public static bool ScProfanityGetCheckIsPending(int token){
return Function.Call<bool>((Hash)0x82E4A58BABC15AE7uL, token);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x85535ACF97FC0969<br />
/// </para>
/// </remarks>
public static bool ScProfanityGetStringPassed(int token){
return Function.Call<bool>((Hash)0x85535ACF97FC0969uL, token);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x930DE22F07B1CCE3<br />
/// </para>
/// </remarks>
public static int ScProfanityGetStringStatus(int token){
return Function.Call<int>((Hash)0x930DE22F07B1CCE3uL, token);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF6BAAAF762E1BF40<br />
/// </para>
/// </remarks>
public static bool ScLicenseplateCheckString(string p0, ref int p1){
var nativeAssistPointerVar0 = p1;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0xF6BAAAF762E1BF40uL, p0, &nativeAssistPointerVar0);
}
p1 = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF22CA0FD74B80E7A<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool ScLicenseplateGetCheckIsValid(int /* bug: Any */ p0){
return Function.Call<bool>((Hash)0xF22CA0FD74B80E7AuL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x9237E334F6E43156<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool ScLicenseplateGetCheckIsPending(int /* bug: Any */ p0){
return Function.Call<bool>((Hash)0x9237E334F6E43156uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x700569DBA175A77C<br />
/// </para>
/// </remarks>
public static int ScLicenseplateGetCount(int token){
return Function.Call<int>((Hash)0x700569DBA175A77CuL, token);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1D4446A62D35B0D0<br />
/// </para>
/// </remarks>
public static string ScLicenseplateGetPlate(int token, int plateIndex){
return Function.Call<string>((Hash)0x1D4446A62D35B0D0uL, token, plateIndex);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2E89990DDFF670C3<br />
/// </para>
/// </remarks>
public static string ScLicenseplateGetPlateData(int token, int plateIndex){
return Function.Call<string>((Hash)0x2E89990DDFF670C3uL, token, plateIndex);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD0EE05FE193646EA<br />
/// </para>
/// </remarks>
public static bool ScLicenseplateSetPlateData(string oldPlateText, string newPlateText, int /* bug: structure */ plateData){
return Function.Call<bool>((Hash)0xD0EE05FE193646EAuL, oldPlateText, newPlateText, plateData);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1989C6E6F67E76A8<br />
/// </para>
/// </remarks>
public static bool ScLicenseplateAdd(string plateText, int /* bug: structure */ plateData, ref int token){
var nativeAssistPointerVar0 = token;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x1989C6E6F67E76A8uL, plateText, plateData, &nativeAssistPointerVar0);
}
token = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x07C61676E5BB52CD<br />
/// </para>
/// </remarks>
public static bool ScLicenseplateGetAddIsPending(int token){
return Function.Call<bool>((Hash)0x07C61676E5BB52CDuL, token);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8147FFF6A718E1AD<br />
/// </para>
/// </remarks>
public static int ScLicenseplateGetAddStatus(int token){
return Function.Call<int>((Hash)0x8147FFF6A718E1ADuL, token);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0F73393BAC7E6730<br />
/// </para>
/// </remarks>
public static bool ScLicenseplateIsvalid(string plateText, ref int token){
var nativeAssistPointerVar0 = token;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x0F73393BAC7E6730uL, plateText, &nativeAssistPointerVar0);
}
token = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD302E99EDF0449CF<br />
/// </para>
/// </remarks>
public static bool ScLicenseplateGetIsvalidIsPending(int token){
return Function.Call<bool>((Hash)0xD302E99EDF0449CFuL, token);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5C4EBFFA98BDB41C<br />
/// </para>
/// </remarks>
public static int ScLicenseplateGetIsvalidStatus(int token){
return Function.Call<int>((Hash)0x5C4EBFFA98BDB41CuL, token);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFF8F3A92B75ED67A<br />
/// </para>
/// </remarks>
public static bool ScCommunityEventIsActive(){
return Function.Call<bool>((Hash)0xFF8F3A92B75ED67AuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4ED9C8D6DA297639<br />
/// </para>
/// </remarks>
public static int ScCommunityEventGetEventId(){
return Function.Call<int>((Hash)0x4ED9C8D6DA297639uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x710BCDA8071EDED1<br />
/// </para>
/// </remarks>
public static bool ScCommunityEventGetExtraDataInt(string p0, ref int p1){
var nativeAssistPointerVar0 = p1;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x710BCDA8071EDED1uL, p0, &nativeAssistPointerVar0);
}
p1 = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x50A8A36201DBF83E<br />
/// </para>
/// </remarks>
public static bool ScCommunityEventGetExtraDataFloat(string p0, ref float p1){
var nativeAssistPointerVar0 = p1;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x50A8A36201DBF83EuL, p0, &nativeAssistPointerVar0);
}
p1 = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x9DE5D2F723575ED0<br />
/// </para>
/// </remarks>
public static bool ScCommunityEventGetExtraDataString(string p0, string p1){
return Function.Call<bool>((Hash)0x9DE5D2F723575ED0uL, p0, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC2C97EA97711D1AE<br />
/// </para>
/// </remarks>
public static bool ScCommunityEventGetDisplayName(string p0){
return Function.Call<bool>((Hash)0xC2C97EA97711D1AEuL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x450819D8CF90C416<br />
/// </para>
/// </remarks>
public static bool ScCommunityEventIsActiveForType(string p0){
return Function.Call<bool>((Hash)0x450819D8CF90C416uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4A7D6E727F941747<br />
/// </para>
/// </remarks>
public static int ScCommunityEventGetEventIdForType(string p0){
return Function.Call<int>((Hash)0x4A7D6E727F941747uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE75A4A2E5E316D86<br />
/// </para>
/// </remarks>
public static bool ScCommunityEventGetExtraDataIntForType(string p0, ref int p1, string p2){
var nativeAssistPointerVar0 = p1;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0xE75A4A2E5E316D86uL, p0, &nativeAssistPointerVar0, p2);
}
p1 = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2570E26BE63964E3<br />
/// </para>
/// </remarks>
public static bool ScCommunityEventGetExtraDataFloatForType(string p0, ref float p1, string p2){
var nativeAssistPointerVar0 = p1;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x2570E26BE63964E3uL, p0, &nativeAssistPointerVar0, p2);
}
p1 = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1D12A56FC95BE92E<br />
/// </para>
/// </remarks>
public static bool ScCommunityEventGetExtraDataStringForType(string p0, string p1, string p2){
return Function.Call<bool>((Hash)0x1D12A56FC95BE92EuL, p0, p1, p2);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x33DF47CC0642061B<br />
/// </para>
/// </remarks>
public static bool ScCommunityEventGetDisplayNameForType(string p0, string p1){
return Function.Call<bool>((Hash)0x33DF47CC0642061BuL, p0, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA468E0BE12B12C70<br />
/// </para>
/// </remarks>
public static bool ScCommunityEventIsActiveById(int p0){
return Function.Call<bool>((Hash)0xA468E0BE12B12C70uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8CC469AB4D349B7C<br />
/// </para>
/// </remarks>
public static bool ScCommunityEventGetExtraDataIntById(int p0, string p1, ref int p2){
var nativeAssistPointerVar0 = p2;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x8CC469AB4D349B7CuL, p0, p1, &nativeAssistPointerVar0);
}
p2 = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC5A35C73B68F3C49<br />
/// </para>
/// </remarks>
public static bool ScCommunityEventGetExtraDataFloatById(int p0, string p1, ref float p2){
var nativeAssistPointerVar0 = p2;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0xC5A35C73B68F3C49uL, p0, p1, &nativeAssistPointerVar0);
}
p2 = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x699E4A5C8C893A18<br />
/// </para>
/// </remarks>
public static bool ScCommunityEventGetExtraDataStringById(int p0, string p1, string p2){
return Function.Call<bool>((Hash)0x699E4A5C8C893A18uL, p0, p1, p2);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x19853B5B17D77BCA<br />
/// </para>
/// </remarks>
public static bool ScCommunityEventGetDisplayNameById(int p0, string p1){
return Function.Call<bool>((Hash)0x19853B5B17D77BCAuL, p0, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6BFB12CE158E3DD4<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool ScTransitionNewsShow(int /* bug: Any */ p0){
return Function.Call<bool>((Hash)0x6BFB12CE158E3DD4uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFE4C1D0D3B9CC17E<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool ScTransitionNewsShowTimed(int /* bug: Any */ p0, int /* bug: Any */ p1){
return Function.Call<bool>((Hash)0xFE4C1D0D3B9CC17EuL, p0, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD8122C407663B995<br />
/// </para>
/// </remarks>
public static bool ScTransitionNewsShowNextItem(){
return Function.Call<bool>((Hash)0xD8122C407663B995uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3001BEF2FECA3680<br />
/// </para>
/// </remarks>
public static bool ScTransitionNewsHasExtraDataTu(){
return Function.Call<bool>((Hash)0x3001BEF2FECA3680uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x92DA6E70EF249BD1<br />
/// </para>
/// </remarks>
public static bool ScTransitionNewsGetExtraDataIntTu(string p0, ref int p1){
var nativeAssistPointerVar0 = p1;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x92DA6E70EF249BD1uL, p0, &nativeAssistPointerVar0);
}
p1 = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x675721C9F644D161<br />
/// </para>
/// </remarks>
public static void ScTransitionNewsEnd(){
Function.Call((Hash)0x675721C9F644D161uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 1290<br />
/// <b>Native ID:</b> 0xE4F6E8D07A2F0F51<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool ScPauseNewsInitStarterPack(int /* bug: Any */ p0){
return Function.Call<bool>((Hash)0xE4F6E8D07A2F0F51uL, p0);
}

/// <summary>
/// Fills some 0x30 sized struct
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 1290<br />
/// <b>Native ID:</b> 0x8A4416C0DB05FA66<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool ScPauseNewsGetPendingStory(int /* bug: Any */ p0){
return Function.Call<bool>((Hash)0x8A4416C0DB05FA66uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 1290<br />
/// <b>Native ID:</b> 0xEA95C0853A27888E<br />
/// </para>
/// </remarks>
public static void ScPauseNewsShutdown(){
Function.Call((Hash)0xEA95C0853A27888EuL);
}

/// <summary>
/// Returns the nickname of the logged-in Rockstar Social Club account.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x198D161F458ECC7F<br />
/// </para>
/// </remarks>
public static string ScAccountInfoGetNickname(){
return Function.Call<string>((Hash)0x198D161F458ECC7FuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x225798743970412B<br />
/// </para>
/// </remarks>
public static bool ScAchievementInfoStatus(ref int p0){
var nativeAssistPointerVar0 = p0;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x225798743970412BuL, &nativeAssistPointerVar0);
}
p0 = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// Same as HAS_ACHIEVEMENT_BEEN_PASSED
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Socialclub<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x418DC16FAE452C1C<br />
/// </para>
/// </remarks>
public static bool ScHasAchievementBeenPassed(int achievementId){
return Function.Call<bool>((Hash)0x418DC16FAE452C1CuL, achievementId);
}

}}
